> For the complete documentation index, see [llms.txt](https://docs.cronly.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cronly.app/api/cron-job-monitor-5.md).

# Users

## Overview of all users within the organization

<mark style="color:blue;">`GET`</mark> `https://cronly.app/api/users`

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer: `API token` |

{% tabs %}
{% tab title="200 All of your users" %}

```json
[
    {
        "id": 1,
        "name": "Robin Martijn",
        "email": "robin@cronly.app",
        "email_verified_at": null,
        "deleted_at": null,
        "created_at": "2022-05-30T13:14:13.000000Z",
        "updated_at": "2022-05-30T13:14:13.000000Z",
        "company_id": 1
    },
    {
        "id": 2,
        "name": "Robin Martijn (backup)",
        "email": "ik@robinmartijn.nl",
        "email_verified_at": null,
        "deleted_at": null,
        "created_at": "2022-05-30T13:16:51.000000Z",
        "updated_at": "2022-05-30T13:16:51.000000Z",
        "company_id": 1
    },
    {
        "id": 3,
        "name": "John Doe",
        "email": "john@cronly.app",
        "email_verified_at": null,
        "deleted_at": null,
        "created_at": "2022-05-30T13:23:10.000000Z",
        "updated_at": "2022-05-30T13:23:35.000000Z",
        "company_id": 1
    }
]
```

{% endtab %}
{% endtabs %}

## Details of a specific user

<mark style="color:blue;">`GET`</mark> `https://cronly.app/api/users/{id}`

#### Query Parameters

| Name                                 | Type    | Description                         |
| ------------------------------------ | ------- | ----------------------------------- |
| id<mark style="color:red;">\*</mark> | Integer | The ID of the user you want to view |

#### Headers

| Name                                            | Type   | Description         |
| ----------------------------------------------- | ------ | ------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer: `API token` |

{% tabs %}
{% tab title="200 The user" %}

```json
{
    "id": 1,
    "name": "Robin Martijn",
    "email": "robin@cronly.app",
    "email_verified_at": null,
    "deleted_at": null,
    "created_at": "2022-05-30T13:14:13.000000Z",
    "updated_at": "2022-05-30T13:14:13.000000Z",
    "company_id": 1
}
```

{% endtab %}

{% tab title="404: Not Found The user was not found" %}

```json
{
    "error": "User not found"
}
```

{% endtab %}
{% endtabs %}
